<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.system.base.mapper.BdAwardsRegionConfigMapper">

    <select id="getList" resultType="com.hzs.common.domain.system.config.BdAwardsRegionConfig">
        select barc.*,
               ba.AWARDS_NAME as awardsName
        from BD_AWARDS_REGION_CONFIG barc
                 left join BD_AWARDS ba on ba.PK_ID = barc.PK_AWARDS
    </select>

    <!-- 配置+奖衔需要小区业绩 -->
    <select id="listConfigAndAssess" resultType="com.hzs.common.domain.system.config.ext.BdAwardsRegionConfigExt">
        select barc.area_type, barc.pk_awards, barc.awards_value, ba.small_assess
        from BD_AWARDS_REGION_CONFIG barc
                 left join bd_awards ba
                           on ba.pk_id = barc.pk_awards
    </select>

</mapper>
